/** @file BackgroundImageStation.h
 * 
 * @author marco corvi
 * @date dec 2009
 *
 * @brief station positions for the background image
 * --------------------------------------------------------
 *  Copyright This sowftare is distributed under GPL-3.0 or later
 *  See the file COPYING.
 */
#ifndef BACKGROUND_IMAGE_STATION_H
#define BACKGROUND_IMAGE_STATION_H

#ifdef HAS_BACKIMAGE

#include <stdlib.h>

#include <QString>
#include <QGraphicsEllipseItem>

/** correspondence between a station-point (x,y) in the sketch
 *  and a station (x0,y0) in the plot
 */
struct BackgroundImageStation
{
  QString name; //!< station name
  double x;         //!< sketch coordinates
  double y;
  QGraphicsEllipseItem * point;

  BackgroundImageStation( const char * n, double _x, double _y, QGraphicsEllipseItem * p = NULL )
    : name( n )
    , x( _x )
    , y( _y )
    , point( p )
  { }

  ~BackgroundImageStation() 
  {
    printf("BackgroundImageStation dstr \n");
    if ( point ) delete point;
  }

  void setName( QString & n ) { name = n; }
  

};

#endif // HAS_BACKIMAGE

#endif

