/** @file CanvasExtend.cpp
 * 
 * @author marco corvi
 * @date sept 2010
 * 
 * @brief canbvas extend functions
 */
#include "CanvasExtend.h"

double interpolate_extend( const CanvasExtend & e1, const CanvasExtend & e2, double alpha )
{
  double w1 = e2.angle - alpha;                                        // weight of "1"
  double w2 = alpha - e1.angle + ( (e1.angle > alpha) ? 360.0 : 0.0 ); // weight of "2"
  double den = e2.angle - e1.angle + ( (e1.angle > e2.angle) ? 360.0 : 0.0 );
  return (e1.dir * w1 + e2.dir * w2)/den;
}


double angle_difference( double a1, double a2 )
{
  if ( a1 > a2 ) 
    return a1 - a2;
  return 360 + a1 - a2;
}

