/** @file PlotLineItem.h
 *
 * @author marco corvi
 * @date Jan 2010
 *
 * @brief plot line item
 * --------------------------------------------------------
 *  Copyright This sowftare is distributed under GPL-3.0 or later
 *  See the file COPYING.
 */
#ifndef PLOT_LINE_ITEM_H
#define PLOT_LINE_ITEM_H

#include <QGraphicsPathItem>
#include <QGraphicsLineItem>

#include "PlotZValue.h"

// typedef QGraphicsLineItem PlotLineItem;

class PlotLineItem : public QGraphicsPathItem
{

  public:
    PlotLineItem() { }

    PlotLineItem( double x1, double y1, double x2, double y2, const QPen & pen )
    {
      setPen( pen );
      setZValue( ZVALUE_LINE );
#if 0 
      QLineF linef( x1, y1, x2, y2 );
      setLine( linef );
#else
      QPointF start( x1, y1 );
      QPainterPath path( start );
      path.lineTo( x2, y2 );
      setPath( path );
#endif
      show();
    }

    PlotLineItem( double x1, double y1, double x1c, double y1c, 
                  double x2c, double y2c, double x2, double y2, const QPen & pen )
    {
      setPen( pen );
      setZValue( ZVALUE_LINE );
#if 0
      x1c = y1c; x2c = y2c;
      QLineF linef( x1, y1, x2, y2 );
      setLine( linef );
#else
      QPointF start( x1, y1 );
      QPainterPath path( start );
      path.cubicTo( x1c, y1c, x2c, y2c, x2, y2 );
      // path.closeSubpath();
      setPath( path );
#endif
      show();
    }

    void reset( double x1, double y1, double x2, double y2 )
    {
#if 0
      setLine( x1, y1, x2, y2 );
#else
      QPointF start( x1, y1 );
      QPainterPath path( start );
      path.lineTo( x2, y2 );
      setPath( path );
#endif
    }

};


#endif

