/** @file PlotList.cpp
 *
 * @author marco corvi
 * @date feb 2011
 *
 * @brief list of plots
 * --------------------------------------------------------
 *  Copyright This sowftare is distributed under GPL-3.0 or later
 *  See the file COPYING.
 */
#include <PlotList.h>
#include <PlotCanvas.h>



void 
PlotList::clear()
{
  for ( std::vector< std::pair< QString, PlotCanvas *> >::iterator it = plots.begin(); 
        it != plots.end(); ++it ) {
    if ( it->second ) delete it->second;
  }
  plots.clear();
}

