/** @file PlotTh2Import.h
 *
 * @author marco corvi
 * @date march 2011
 * 
 * @brief Therion th2 import
 */
#ifndef PLOT_TH2_IMPORT
#define PLOT_TH2_IMPORT

#include <stdio.h>
#include <sys/types.h>

class PlotCanvas;
class QTshotWidget;

class PlotTh2Import
{
  private:
    QTshotWidget * parent;
    char * line;
    size_t n;
    char * pos;
    FILE * fp;


  public:
    PlotTh2Import( QTshotWidget * p );
    
    ~PlotTh2Import();

    PlotCanvas * loadTh2File( const char * filename );

  private:
    /* const */ char * nextToken();

    bool isAreaBorder( const char * prefix, size_t len );

    int numberOfTokens();
};

#endif
