/** @file ThAreaType.cpp
 *
 * @author marco corvi
 * @date aug. 2009
 *
 * @brief therion area names
 * --------------------------------------------------------
 *  Copyright This sowftare is distributed under GPL-3.0 or later
 *  See the file COPYING.
 */
#include <string.h>

#include "ThAreaType.h"


const char *
Therion::AreaName[] = {
  "clay",
  "debris",
  "flowstone",
  "ice",
  "pebbles",
  "sand",
  "snow",
  "user",
  "water",
};

Therion::AreaType
Therion::getAreaType( const char * type )
{
  for ( int t = 0; t < (int)THA_PLACEMARK; ++t ) {
    if ( strcmp( type, AreaName[t] ) == 0 ) return (AreaType)t;
  }
  return THA_PLACEMARK;
}

