/** @file ThLineType.h
 *
 * @author marco corvi
 * @date aug. 2009
 *
 * @brief plot therion line types
 * --------------------------------------------------------
 *  Copyright This sowftare is distributed under GPL-3.0 or later
 *  See the file COPYING.
 */
#ifndef TH_LINE_TYPE_H
#define TH_LINE_TYPE_H


namespace Therion
{
  /** therion line types
   */
  enum LineType {
    THL_ARROW = 0,
    THL_BORDER,
    THL_CHIMNEY,
    THL_PIT,
    THL_USER,
    THL_WALL,
    THL_ROCK,   // rock-border / rock-edge
    THL_SLOPE,
    THL_CONTOUR,
    THL_PLACEMARK
  };
  
  extern const char * LineName[ THL_PLACEMARK ];

  extern const char * LineOutline[4];

  #define THL_SUBTYPE_MAX 16
  #define THL_SPECIAL_MAX  6

  extern const char * LineSubtype[THL_PLACEMARK][ THL_SUBTYPE_MAX ];

  extern const char * LinePointAdjust[3];

  extern const char * LineSpecialOptionName[THL_PLACEMARK];
  extern const char * LineSpecialOption[THL_PLACEMARK][THL_SPECIAL_MAX];


  LineType getLineType( const char * type );

  /* get the line subtype (pointer to a const char in the static array of subtypes
   * @param t  type
   * @param st subtype
   */
  const char * getLineSubtype( LineType t, const char * st );

  const char * getLinePointAdjust( const char * ad );
  const char * getLineOutline( const char * ol );
  const char * getLineSpecialOption( LineType t, const char * so );

}

#endif
